
Infrastructure - Task #1467

Story # 725 (In Progress): Create Authentication and Access control design specifications

Complete d1_schema changes for Authz and Authn.

2011-04-06 17:46 - Matthew Jones

Status: In Progress Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 30%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: 2011-Block-2 Story Points:  

Product Version: *   

Description

History

#1 - 2011-04-07 01:46 - Matthew Jones

- Status changed from New to In Progress

#2 - 2011-04-07 01:49 - Matthew Jones

- Category set to Documentation

- Milestone set to 2011-Block-2

Added new types for Authz and Authn, including AuthToken, AuthSession, Challenge, EncryptedNonce, X509Certificate, Person, Group, Principal,

PrincipalList, and others. 

Need to review these types with Dave and get feedback.  If no comments, then can close this task.

#3 - 2011-04-08 14:29 - Dave Vieglais

Only question is on Types.Permission. The interpretation of a permission is "Permissions are cumulative, in that higher level permissions include all of

the priveledges of lower levels (e.g., given write access, one also implicitly has read access)."

This means that execute access implies WRITE and CHANGEPERMISSION access which seems a bit liberal.

#4 - 2011-04-08 16:10 - Matthew Jones

Its supposed to be the other way around, in that CHANGEPERMISSION implies WRITE. I'll fix that.

#5 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#6 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#7 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4
#8 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#9 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#10 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#11 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#12 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#13 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
